com.trendmicro.ds.appcontrol.rest.object

## Class DecisionLogDetails

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.DecisionLogDetails

-     public class DecisionLogDetails
      extends java.lang.Object

  Response object for the ListDecisionLogDetails API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionLogDetails()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<DecisionLogDetail>` | `getItems()` Get the list of decision log details.
    `java.lang.Long` | `getNextId()` The next decision log detail ID for query of the next patch of the decision log details.
    `void` | `setItems(java.util.List<DecisionLogDetail> items)` Set the list of decision log details.
    `void` | `setNextId(java.lang.Long nextId)` Set next decision log detail ID for query of the next patch of the decision log details.
    `DecisionLogDetails` | `withItems(java.util.List<DecisionLogDetail> items)` Set the list of decision log details.
    `DecisionLogDetails` | `withNextId(java.lang.Long nextId)` Set next decision log detail ID for query of the next patch of the decision log details.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecisionLogDetails

          public DecisionLogDetails()

  - ### Method Detail

    - #### getItems

          public java.util.List<DecisionLogDetail> getItems()

      Get the list of decision log details.

      This will be `empty list` if no decision Logs is retrieved.

      Returns:
        the list of decision log details.

    - #### setItems

          public void setItems(java.util.List<DecisionLogDetail> items)

      Set the list of decision log details.
      Parameters:
        `items` - the list of decision log details.

    - #### withItems

          public DecisionLogDetails withItems(java.util.List<DecisionLogDetail> items)

      Set the list of decision log details.
      Parameters:
        `items` - the list of decision log details.
      Returns:
        the updated ListDecisionLogDetailsResponse object.

    - #### getNextId

          public java.lang.Long getNextId()

      The next decision log detail ID for query of the next patch of the decision log details.
      Returns:
        the list of decision logs.

    - #### setNextId

          public void setNextId(java.lang.Long nextId)

      Set next decision log detail ID for query of the next patch of the decision log details.
      Parameters:
        `nextId` - the next decision log detail ID for query of the next patch of the decision log details.

    - #### withNextId

          public DecisionLogDetails withNextId(java.lang.Long nextId)

      Set next decision log detail ID for query of the next patch of the decision log details.
      Parameters:
        `decisionLogs` - next decision log detail ID for query of the next patch of the decision log details..
      Returns:
        the updated ListDecisionLogDetailsResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.